<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>object-producing</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.object-producing</groupId>
  <artifactId>object-producing-resources-support</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: OBJECT PRODUCING :: RESOURCES SUPPORT</name>
  <description>ENTAXY :: PLATFORM :: CORE :: OBJECT PRODUCING :: RESOURCES SUPPORT</description>
  
  <properties>
  	<bundle.osgi.export.pkg>ru.entaxy.platform.core.producer.resources*</bundle.osgi.export.pkg>
  </properties>
  
  <dependencies>
    	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.core.object-producing
  		</groupId>
  		<artifactId>object-producer-api</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.core.object-producing
  		</groupId>
  		<artifactId>object-producer-core</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.base.resources
  		</groupId>
  		<artifactId>resources-api</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
		<groupId>ru.entaxy.esb.platform.runtime.core</groupId>
		<artifactId>core-support-runtime</artifactId>
		<version>${project.version}</version>	  
	</dependency>
    <dependency>
        <groupId>com.google.code.gson</groupId>
        <artifactId>gson</artifactId>
    </dependency>
    <dependency>
    	<groupId>
    		ru.entaxy.esb.platform.runtime.base.connecting.generator
    	</groupId>
    	<artifactId>generator-api</artifactId>
    	<version>${project.version}</version>
    </dependency>
    <dependency>
    	<groupId>org.apache.commons</groupId>
    	<artifactId>commons-lang3</artifactId>
    	<version>${commons-lang3.version}</version>
    </dependency>
    <dependency>
    	<groupId>commons-io</groupId>
    	<artifactId>commons-io</artifactId>
    	<version>${commons-io.version}</version>
    </dependency>
    <dependency>
		<groupId>org.apache.servicemix.bundles</groupId>
		<artifactId>org.apache.servicemix.bundles.saxon</artifactId>
		<version>${servicemix-saxon-version}</version>
	</dependency>
  </dependencies>  
  
  <build>
  	<plugins>
		<plugin>
			<groupId>org.apache.felix</groupId>
			<artifactId>maven-bundle-plugin</artifactId>
			<version>${maven-bundle-plugin.version}</version>
			<extensions>true</extensions>
			<configuration>
				<instructions>
					<Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>	
				</instructions>
			</configuration>
		</plugin>

  	</plugins>
  </build>
  
</project>
